Skip to main content
Back to API List Retrieves the download link for an ML utterances export.
FieldValue
MethodGET
Endpointhttps://{{host}}/api/public/bot/{{BotID}}/mlexport/status
Content Typeapplication/json
Authorizationauth: {{JWT}} — See How to generate the JWT Token.
API ScopeApp Builder: Utterances Export; Admin Console: Test > Utterances Export and Train

Path Parameters

ParameterRequired/OptionalDescription
hostRequiredThe environment URL. For example, https://platform.kore.ai
BotIdRequiredBot ID or Stream ID. Accessible under General Settings on the App Builder.

Sample Request

curl -X GET \
  'https://{{host}}/api/public/bot/{{bot ID}}/mlexport/status' \
  -H 'auth: {{YOUR_JWT_ACCESS_TOKEN}}' \
  -H 'content-type: application/json' \

Body Parameters

No body parameters are passed.

Sample Response

{
    "_id": "dx-aaxxxxxx-bxxe-5xxc-bxxf-31xxxxxxxxxx",
    "status": "SUCCESS",
    "percentageComplete": 100,
    "streamId": "sx-6xxxxxx2-5xx1-5xx0-b9xx-8cxxxxxxxxxx",
    "createdBy": "u-5dxxxxxx-bxx1-5xx0-axx8-2exxxxxxxxxx",
    "jobType": "ML_UTTERANCE",
    "action": "EXPORT",
    "countOfDockStatuses": 1,
    "fileType": "CSV",
    "statusLogs": [],
    "lMod": "2019-06-27T06:49:15.726Z",
    "createdOn": "2019-06-27T06:49:15.572Z",
    "requestedTime": "2023-07-25T15:23:36.912Z",
    "__v": 0,
    "downloadUrl": ""
}